PROJECTDIR = `pwd`
LIBUC = /opt/libuc2

HEADERSINSTALLPATH = $(LIBUC_INC_DIR_24LC0X)
HEADERS += 24LC0X.h
LIBSOURCES += 24LC0X.c
OBJDIR = obj
BINDIR = bin
OBJECTFILES = $(LIBSOURCES:.c=.o)
OBJECTFILES := $(addprefix $(OBJDIR)/,$(OBJECTFILES))
ARCH = lpc17XX-arm-none-eabi-gcc
ARCHFOLDER = $(LIBUC)/rules/lpc17XX-arm-none-eabi-gcc
TARGET=lib24lc0X
LIBUC_INCLUDES=$(LIBUC_INC_DIR_CORE_CMD) $(LIBUC_INC_DIR_IIC_CMD) $(LIBUC_INC_DIR_UHANDLE_CMD) 
LIBUC_LIBRARIES=$(LIBUC_LIBS_DIR_CORE_CMD) $(LIBUC_LIBS_CORE) $(LIBUC_LIBS_DIR_IIC_CMD) $(LIBUC_LIBS_IIC) $(LIBUC_LIBS_DIR_UHANDLE_CMD) $(LIBUC_LIBS_UHANDLE) 
TARGETINSTALLPATH=$(LIBUC_LIBS_DIR_24LC0X)
HEADERSINSTALLPATH=$(LIBUC_INC_DIR_24LC0X)
BSP=generic
include $(ARCHFOLDER)/rules.mk




all:lib
	@echo Code compiled

libclean:
	rm -f $(TARGETINSTALLPATH)/*.a
	rm -f $(HEADERSINSTALLPATH)/*.h
